Index: cpukit/librpc/ChangeLog
===================================================================
--- cpukit/librpc/ChangeLog	(revision b71e8d050a743b620feee38315af7f605cb8f463)
+++ cpukit/librpc/ChangeLog	(revision f035132f366007ad8489d55922abacc941c8442e)
@@ -1,2 +1,9 @@
+2004-01-11  Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am: Include compile.am, again.
+	Put man-pages into EXTRA_DIST to work around automake not
+	distributing conditionally installed *_MANS.
+	Distribute include/rpcsvc.
+
 2004-01-08  Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: cpukit/librpc/Makefile.am
===================================================================
--- cpukit/librpc/Makefile.am	(revision b71e8d050a743b620feee38315af7f605cb8f463)
+++ cpukit/librpc/Makefile.am	(revision f035132f366007ad8489d55922abacc941c8442e)
@@ -4,5 +4,7 @@
 
 include $(top_srcdir)/automake/multilib.am
-include $(top_srcdir)/automake/amcompile.am
+include $(top_srcdir)/automake/compile.am
+
+EXTRA_DIST =
 
 if LIBRPC
@@ -16,26 +18,36 @@
 
 man_MANS =
-#endif
 
-libxdr_C_FILES = src/xdr/xdr.c src/xdr/xdr_array.c src/xdr/xdr_float.c \
-    src/xdr/xdr_mem.c src/xdr/xdr_rec.c src/xdr/xdr_reference.c \
-    src/xdr/xdr_sizeof.c src/xdr/xdr_stdio.c
-
-if LIBRPC
 EXTRA_LIBRARIES = libxdr.a
 CLEANFILES = libxdr.a
-libxdr_a_SOURCES = $(libxdr_C_FILES)
 libxdr_a_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V)
 
 EXTRA_LIBRARIES += libxdr_g.a
 CLEANFILES += libxdr_g.a
-libxdr_g_a_SOURCES = $(libxdr_a_SOURCES)
 libxdr_g_a_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V)
 
-man_MANS += src/xdr/xdr.3
-all-local: libxdr$(LIB_VARIANT).a
+libxdr_a_SOURCES = src/xdr/xdr.c src/xdr/xdr_array.c src/xdr/xdr_float.c \
+    src/xdr/xdr_mem.c src/xdr/xdr_rec.c src/xdr/xdr_reference.c \
+    src/xdr/xdr_sizeof.c src/xdr/xdr_stdio.c
+libxdr_g_a_SOURCES = $(libxdr_a_SOURCES)
 endif
 
-librpc_C_FILES = src/rpc/auth_none.c src/rpc/auth_unix.c \
+libxdr_mans = src/xdr/xdr.3
+EXTRA_DIST += $(libxdr_mans)
+
+if LIBRPC
+man_MANS += $(libxdr_mans)
+
+all-local: libxdr$(LIB_VARIANT).a
+
+EXTRA_LIBRARIES += librpc.a
+CLEANFILES += librpc.a
+librpc_a_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V) $(librpc_CPPFLAGS)
+
+EXTRA_LIBRARIES += librpc_g.a
+CLEANFILES += librpc_g.a
+librpc_g_a_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V) $(librpc_CPPFLAGS)
+
+librpc_a_SOURCES = src/rpc/auth_none.c src/rpc/auth_unix.c \
     src/rpc/authunix_prot.c src/rpc/bindresvport.c src/rpc/clnt_generic.c \
     src/rpc/clnt_perror.c src/rpc/clnt_raw.c src/rpc/clnt_simple.c \
@@ -50,38 +62,48 @@
     src/rpc/svc_tcp.c src/rpc/svc_udp.c src/rpc/rtems_portmapper.c \
     src/rpc/rtems_rpc.c
-librpc_UNUSED_C_FILES = src/rpc/auth_des.c src/rpc/auth_time.c \
-    src/rpc/authdes_prot.c src/rpc/clnt_unix.c src/rpc/crypt_client.c \
-    src/rpc/des_crypt.c src/rpc/des_soft.c src/rpc/getpublickey.c \
-    src/rpc/key_call.c src/rpc/key_prot_xdr.c src/rpc/svc_auth_des.c \
-    src/rpc/svc_unix.c
+# librpc_UNUSED_C_FILES
+EXTRA_DIST += src/rpc/auth_des.c src/rpc/auth_time.c src/rpc/authdes_prot.c \
+    src/rpc/clnt_unix.c src/rpc/crypt_client.c src/rpc/des_crypt.c \
+    src/rpc/des_soft.c src/rpc/getpublickey.c src/rpc/key_call.c \
+    src/rpc/key_prot_xdr.c src/rpc/svc_auth_des.c src/rpc/svc_unix.c
+librpc_g_a_SOURCES = $(librpc_a_SOURCES)
 
-if LIBRPC
 librpc_CPPFLAGS = -D_RPC_read=read -D_RPC_write=write -D_RPC_close=close \
     -D_RTEMS_RPC_INTERNAL_
+endif
 
-EXTRA_LIBRARIES += librpc.a
-CLEANFILES += librpc.a
-librpc_a_SOURCES = $(librpc_C_FILES)
-librpc_a_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_OPTIMIZE_V) $(librpc_CPPFLAGS)
-
-EXTRA_LIBRARIES += librpc_g.a
-CLEANFILES += librpc_g.a
-librpc_g_a_SOURCES = $(librpc_a_SOURCES)
-librpc_g_a_CPPFLAGS = $(AM_CPPFLAGS) $(CFLAGS_DEBUG_V) $(librpc_CPPFLAGS)
-
-man_MANS += src/rpc/bindresvport.3 src/rpc/getrpcent.3 src/rpc/publickey.3 \
+librpc_mans = src/rpc/bindresvport.3 src/rpc/getrpcent.3 src/rpc/publickey.3 \
     src/rpc/rpc.3 src/rpc/rpc_secure.3 src/rpc/rstat_svc.8 \
     src/rpc/des_crypt.3 src/rpc/getrpcport.3 src/rpc/publickey.5 \
     src/rpc/rpc.5 src/rpc/rstat.1 src/rpc/rtime.3
+EXTRA_DIST += $(librpc_mans)
+
+if LIBRPC
+man_MANS += $(librpc_mans)
 
 all-local: librpc$(LIB_VARIANT).a
 endif
 
-EXTRA_DIST = $(librpc_C_FILES) src/rpc/DISCLAIMER $(librpc_UNUSED_C_FILES)
+EXTRA_DIST += src/rpc/DISCLAIMER src/rpc/README
 
 EXTRA_DIST += src/rpc/PSD.doc/nfs.rfc.ms src/rpc/PSD.doc/rpc.prog.ms \
     src/rpc/PSD.doc/rpc.rfc.ms src/rpc/PSD.doc/rpcgen.ms \
     src/rpc/PSD.doc/xdr.nts.ms src/rpc/PSD.doc/xdr.rfc.ms
-endif
+EXTRA_DIST += README_RTEMS
+
+## FIXME: Unused
+EXTRA_DIST += include/rpcsvc/bootparam_prot.x include/rpcsvc/crypt.x \
+    include/rpcsvc/key_prot.x include/rpcsvc/klm_prot.x \
+    include/rpcsvc/mount.x include/rpcsvc/nfs_prot.x \
+    include/rpcsvc/nis_cache.x include/rpcsvc/nis_callback.x \
+    include/rpcsvc/nis_db.h include/rpcsvc/nislib.h \
+    include/rpcsvc/nis_object.x include/rpcsvc/nis_tags.h \
+    include/rpcsvc/nis.x include/rpcsvc/nlm_prot.x \
+    include/rpcsvc/pmap_prot.x include/rpcsvc/rex.x include/rpcsvc/rnusers.x \
+    include/rpcsvc/rquota.x include/rpcsvc/rstat.x include/rpcsvc/rwall.x \
+    include/rpcsvc/sm_inter.x include/rpcsvc/spray.x include/rpcsvc/ypclnt.h \
+    include/rpcsvc/yppasswd.x include/rpcsvc/yp_prot.h \
+    include/rpcsvc/ypupdate_prot.x include/rpcsvc/yp.x \
+    include/rpcsvc/ypxfrd.x
 
 PREINSTALL_FILES =
@@ -155,5 +177,4 @@
 	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rpc/xdr.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rpc/xdr.h
-
 endif
 
